Welcome!
Important information
-- Spectre and Meltdown vulnerabilities
-- Change in MX sources

News
-- MX Linux on social media: here
-- Mepis support still here

Current releases
-- MX-17.1 Final release info here
-- antiX-17 release info here

New users
-- Please read this first, and don't forget to add system and hardware information to posts!
-- Here are the Forum Rules

MX 17 Repository: The Krita Thread

Message
Author
User avatar
Stevo
Forum Veteran
Forum Veteran
Posts: 16925
Joined: Fri Dec 15, 2006 8:07 pm

Re: MX 17 Repository: The Krita Thread

#11 Post by Stevo » Sat Sep 29, 2018 1:23 pm

Well, it looks like Krita 4.1.3 just won't build on our base. I'm starting to suspect that it might need a newer KDE 5, instead of a newer gcc--if anyone has the Neptune OS repo URL that I could hook to a pbuilder, I could test that theory.

However, since the Krita 4.1.3 AppImage seems to work very well, I don't want to invest too much time on this.

sunrat
Forum Regular
Forum Regular
Posts: 228
Joined: Mon Mar 28, 2016 9:54 pm

Re: MX 17 Repository: The Krita Thread

#12 Post by sunrat » Sat Sep 29, 2018 8:25 pm

This is the NeptuneOS repo:

Code: Select all

deb https://download.neptuneos.com/repos/neptune5/repo-kde/ stretch main

User avatar
Stevo
Forum Veteran
Forum Veteran
Posts: 16925
Joined: Fri Dec 15, 2006 8:07 pm

Re: MX 17 Repository: The Krita Thread

#13 Post by Stevo » Sat Sep 29, 2018 9:00 pm

I tried it with Neptune OS's newer KDE, and it still failed--so it looks like it's AppImage or Flatpak from now on if you want the shiny new versions.

sunrat
Forum Regular
Forum Regular
Posts: 228
Joined: Mon Mar 28, 2016 9:54 pm

Re: MX 17 Repository: The Krita Thread

#14 Post by sunrat » Sat Sep 29, 2018 11:06 pm

Pretty sure Neptune OS has fallen behind Sid with Plasma, Qt, and KDE Frameworks. Krita 4.1.3+dfsg-1 installs and runs fine on my siduction system. There are a lot of dependencies:

Code: Select all

apt depends krita
krita
  Depends: krita-data (>= 1:4.1.3+dfsg-1)
  Depends: kio
  Depends: libboost-system1.62.0
  Depends: libc6 (>= 2.27)
  Depends: libexiv2-14 (>= 0.25)
  Depends: libfftw3-double3 (>= 3.3.5)
  Depends: libgcc1 (>= 1:3.0)
  Depends: libgif7 (>= 5.1)
  Depends: libgsl23 (>= 2.5)
  Depends: libheif1 (>= 1.3.2)
  Depends: libilmbase23 (>= 2.2.1)
  Depends: libjpeg62-turbo (>= 1.3.1)
  Depends: libkf5archive5 (>= 4.96.0)
  Depends: libkf5completion5 (>= 4.97.0)
  Depends: libkf5configcore5 (>= 5.24.0)
  Depends: libkf5configgui5 (>= 4.97.0)
  Depends: libkf5coreaddons5 (>= 4.99.0)
  Depends: libkf5crash5 (>= 5.15.0)
  Depends: libkf5guiaddons5 (>= 4.96.0)
  Depends: libkf5i18n5 (>= 5.0.0)
  Depends: libkf5itemviews5 (>= 4.96.0)
  Depends: libkf5kiocore5 (>= 4.96.0)
  Depends: libkf5widgetsaddons5 (>= 4.96.0)
  Depends: libkf5windowsystem5 (>= 4.96.0)
  Depends: liblcms2-2 (>= 2.2+git20110628)
  Depends: libopencolorio1v5
  Depends: libopenexr23
  Depends: libpng16-16 (>= 1.6.2-1)
  Depends: libpoppler-qt5-1 (>= 0.24.5)
  Depends: libpython3.6 (>= 3.6.5)
  Depends: libqt5concurrent5 (>= 5.6.0)
  Depends: libqt5core5a (>= 5.11.0~rc1)
  Depends: libqt5dbus5 (>= 5.6.0)
  Depends: libqt5gui5 (>= 5.8.0)
  Depends: libqt5multimedia5 (>= 5.6.0~beta)
  Depends: libqt5network5 (>= 5.6.0)
  Depends: libqt5printsupport5 (>= 5.6.0)
  Depends: libqt5qml5 (>= 5.0.2)
  Depends: libqt5quick5 (>= 5.6.1)
  Depends: libqt5quickwidgets5 (>= 5.3.0)
  Depends: libqt5svg5 (>= 5.6.0~beta)
  Depends: libqt5widgets5 (>= 5.11.0~rc1)
  Depends: libqt5x11extras5 (>= 5.6.0)
  Depends: libqt5xml5 (>= 5.6.0)
  Depends: libraw19 (>= 0.19.0)
  Depends: libstdc++6 (>= 5.2)
  Depends: libtiff5 (>= 4.0.3)
  Depends: libx11-6
  Depends: libxcb1
  Depends: libxi6 (>= 2:1.2.99.4)
  Depends: zlib1g (>= 1:1.1.4)
  Recommends: python3-sip
  Recommends: python3-pyqt5
  Recommends: qml-module-qtmultimedia
  Suggests: colord
  Suggests: ffmpeg
  Suggests: krita-l10n (>= 1:4.1.3+dfsg-1)

User avatar
Stevo
Forum Veteran
Forum Veteran
Posts: 16925
Joined: Fri Dec 15, 2006 8:07 pm

Re: MX 17 Repository: The Krita Thread

#15 Post by Stevo » Sun Sep 30, 2018 3:03 pm

Yes, I was able to build 4.1.2 on our platform with just a few extra backports (vc-dev and libheif-dev (>= 1.2.0), but the new code they added to 4.1.3 causes a build failure. I am able to build it on a vanilla Buster platform, so I'm now suspecting it needs a newer compiler. I'd try one of our newer clang compilers, such as clang-6.0 in the test repo, but I found a project where Debian tries to recompile every package with clang, and Krita is one of the ones that fails.

User avatar
Stevo
Forum Veteran
Forum Veteran
Posts: 16925
Joined: Fri Dec 15, 2006 8:07 pm

Re: MX 17 Repository: The Krita Thread

#16 Post by Stevo » Sat Oct 13, 2018 1:41 pm

I tried the new 4.1.5 release, and a build failure now happens even earlier. It built successfully on a Debian testing base, though.

64-bit users can use the AppImage if they want the latest version, though: https://download.kde.org/stable/krita/

Post Reply

Return to “Package Requests/Status - MX 17”